Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228496 - Review Request: hunspell-ru - Russian hunspell dictionaries
Summary: Review Request: hunspell-ru - Russian hunspell dictionaries
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-13 12:09 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-15 14:35:54 UTC
wolfy: fedora-review+


Attachments (Terms of Use)

Description Caolan McNamara 2007-02-13 12:09:41 UTC
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-ru.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-ru-0.20040406-1.src.rpm
Description: Russian hunspell dictionaries


Similar to 227811

Comment 1 manuel wolfshant 2007-02-14 10:58:33 UTC
GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 
176b8983980395c8e386884f4f08a6a5bb0aed63  ru_RU.zip
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- the license BSD stated in the tag is the same as the web site says; it is
not included in the package because upstream does not include it either; however
 a doc is included which says:
"Permission to use, copy, redistribute is granted.  Permission to
redistribute modifications in patch form is granted.  Permission
to redistribute binaries made of modified sources is granted.
All other rights reserved."
I guess this ressembles BSD well enough.
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no need for -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED


Comment 2 Caolan McNamara 2007-02-15 14:35:54 UTC
 27642 (hunspell-ru): Build on target fedora-development-extras succeeded.


Note You need to log in before you can comment on or make changes to this bug.